pacemaker 2.0.1-2ubuntu1 source package in Ubuntu

Changelog

pacemaker (2.0.1-2ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - upstream CVE fixes
      - CVE-2018-16877
      - CVE-2018-16878
      - CVE-2019-3885
    - d/control: Demote fence-agents to Suggests, avoiding main
      inclusion.
    - debian/patches/pacemaker_is_partof_corosync.patch: Default systemd
      unit hard-requires corosync.
      + Debian disagrees in Debian bug 887563 message 36. We could revert back
        to Debian's behaviour, but keeping the patch in this merge maintains
        existing behaviour for Ubuntu users pending any separate future
        decision.

pacemaker (2.0.1-2) unstable; urgency=medium

  * [d8939cc] Avoid file conflicts with leftover packages from wheezy.
    Pacemaker-dev in wheezy was a metapackage pulling in several -dev
    packages.  It is removed during the jessie dist-upgrade due to
    dependency problems, and jessie does not have pacemaker at all, so these
    obsolete -dev packages are left behind, unless replaced by the
    renamed -dev packages from jessie-backports or later from stretch, both
    of which requires manual action.  Lacking that, a manual install of the
    reintroduced pacemaker-dev from buster will try to overwrite headers
    from those obsolete -dev packages causing file conflicts, because the
    old Breaks+Replaces relations weren't carried over from the stretch
    packages. (Closes: #925354)

pacemaker (2.0.1-1) unstable; urgency=medium

  * [7d6ff2e] New upstream release (2.0.1)

pacemaker (2.0.1~rc5-1) unstable; urgency=medium

  * [79e9089] Drop duplicate external library linkages
  * [07f0c78] Make the libpe_rules dependency of schedulerd explicit
  * [5346dc9] New upstream pre-release (2.0.1~rc5)
  * [c5ce20d] Refresh our patches
  * [af3fc54] Update libcrmcommon34.symbols

pacemaker (2.0.1~rc4-1) unstable; urgency=medium

  * [dfc5875] New upstream pre-release (2.0.1~rc4)
  * [e25c248] Refresh our patches
  * [5622895] Update symbols files

pacemaker (2.0.1~rc2-2) unstable; urgency=medium

  * [b7a3e66] Fix BASH_PATH to make it reproducible.
    Otherwise it's detected differently on merged-usr vs non-merged.
  * [7c66cac] Header dependency generation is not needed with merged dev
    packages
  * Upload to unstable

pacemaker (2.0.1~rc2-1) experimental; urgency=medium

  * [04a14aa] New upstream pre-release (2.0.1~rc2)
  * [b50164d] Delete the upstreamed patch and refresh the rest.
    Simplify skipping the CTS, upstream is not interested in making it
    optional (https://github.com/ClusterLabs/pacemaker/pull/1149).
  * [1ae3096] The development documentation gained actual images, ship them
  * [a8311c7] Upstream renamed the daemons.
    But we keep the compatibility symlinks for now, based on Ken Gaillot's
    "Pacemaker packagers: important information about 2.0.0":
    The configure script has a new option, --enable-legacy-links. If
    enabled (the default), symlinks will be installed at the old daemon
    names pointing at the new ones.
    This has two purposes: to allow older versions of tools (such as crm
    shell and pcs) that directly invoke the old names for metadata etc. to
    continue working; and to allow Pacemaker 1.1.17+ cluster nodes to host
    bundles using a container image containing Pacemaker 2.0.0+. If you do
    not need this support (most likely in the future when versions of the
    tools that support the new names are available), you can specify
    --disable-legacy-links.
  * [ae3ffd0] fence_pcmk was removed with CMAN compatibility (7a9891f)
  * [412939c] Isolation wrapper support was removed in c713bbe
  * [f072d4a] Upstream refactored libcrmcommon in 4864ed4
  * [07bcf39] Ship new document: Pacemaker Administration
  * [4416b33] Adjust library package names to their new SO versions
  * [7e06681] Pre-Depends aren't needed for multiarch since jessie
  * [932df15] fence_legacy switched to Python.
    We choose Python 3 instead of the default Python 2.
  * [5669068] Provide man page for the pacemaker_remote compatibility symlink
  * [b0b5a21] Follow renames and years in debian/copyright
  * [e4f73c3] Switch Build-Depends to libsensors-dev from libsensors4-dev
    (Closes: #917445)
  * [d559bde] Merge all dev packages into pacemaker-dev.
    The header files are interdependent, so meaningful separation wasn't
    possible anyway.
  * [5db3079] dh_installchangelogs finds ChangeLog by itself

pacemaker (1.1.19-2) unstable; urgency=medium

  * [8975ce9] Adapt autopkgtest to the node1 name from Corosync
  * [f579893] The debug symbol migration is complete

pacemaker (1.1.19-1) unstable; urgency=medium

  * [f8af7fd] New upstream release (1.1.19)
  * [fd1d1a2] Delete the patches from-upstream and refresh ours
  * [b66cd0e] Hurd compatibility is off the table due to Kronosnet
  * [b22ae0b] Update Standards-Version to 4.3.0 (no changes required)
  * [ce19e2e] Update symbols files (all dropped symbols were internal)

 -- Gianfranco Costamagna <email address hidden>  Sun, 05 May 2019 08:28:53 +0200

Upload details

Uploaded by:
Gianfranco Costamagna on 2019-05-06
Uploaded to:
Eoan
Original maintainer:
Debian DRBD Maintainers
Architectures:
any all
Section:
admin
Urgency:
Medium Urgency

See full publishing history Publishing

Series Pocket Published Component Section

Downloads

File Size SHA-256 Checksum
pacemaker_2.0.1.orig.tar.gz 5.3 MiB 4f0040e5c80b108900a019d9033e8bb5d4fb4bc26c6f6fd6397bd846c6461864
pacemaker_2.0.1-2ubuntu1.debian.tar.xz 63.7 KiB 1a33d573dd37bc365b9d2c29f8ed95f1ccde4731b1261a05755694b483ce0bff
pacemaker_2.0.1-2ubuntu1.dsc 3.8 KiB 43d07af44d0121c0efd2fa27bac6abaa9eb7982912f43405fffcb935e1c2327e

View changes file

Binary packages built by this source

libcib-dev: No summary available for libcib-dev in ubuntu eoan.

No description available for libcib-dev in ubuntu eoan.

libcib27: No summary available for libcib27 in ubuntu eoan.

No description available for libcib27 in ubuntu eoan.

libcib27-dbgsym: No summary available for libcib27-dbgsym in ubuntu eoan.

No description available for libcib27-dbgsym in ubuntu eoan.

libcrmcluster-dev: No summary available for libcrmcluster-dev in ubuntu eoan.

No description available for libcrmcluster-dev in ubuntu eoan.

libcrmcluster29: No summary available for libcrmcluster29 in ubuntu eoan.

No description available for libcrmcluster29 in ubuntu eoan.

libcrmcluster29-dbgsym: No summary available for libcrmcluster29-dbgsym in ubuntu eoan.

No description available for libcrmcluster29-dbgsym in ubuntu eoan.

libcrmcommon-dev: No summary available for libcrmcommon-dev in ubuntu eoan.

No description available for libcrmcommon-dev in ubuntu eoan.

libcrmcommon34: No summary available for libcrmcommon34 in ubuntu eoan.

No description available for libcrmcommon34 in ubuntu eoan.

libcrmcommon34-dbgsym: No summary available for libcrmcommon34-dbgsym in ubuntu eoan.

No description available for libcrmcommon34-dbgsym in ubuntu eoan.

libcrmservice-dev: No summary available for libcrmservice-dev in ubuntu eoan.

No description available for libcrmservice-dev in ubuntu eoan.

libcrmservice28: No summary available for libcrmservice28 in ubuntu eoan.

No description available for libcrmservice28 in ubuntu eoan.

libcrmservice28-dbgsym: No summary available for libcrmservice28-dbgsym in ubuntu eoan.

No description available for libcrmservice28-dbgsym in ubuntu eoan.

liblrmd-dev: No summary available for liblrmd-dev in ubuntu eoan.

No description available for liblrmd-dev in ubuntu eoan.

liblrmd28: No summary available for liblrmd28 in ubuntu eoan.

No description available for liblrmd28 in ubuntu eoan.

liblrmd28-dbgsym: No summary available for liblrmd28-dbgsym in ubuntu eoan.

No description available for liblrmd28-dbgsym in ubuntu eoan.

libpe-rules26: No summary available for libpe-rules26 in ubuntu eoan.

No description available for libpe-rules26 in ubuntu eoan.

libpe-rules26-dbgsym: No summary available for libpe-rules26-dbgsym in ubuntu eoan.

No description available for libpe-rules26-dbgsym in ubuntu eoan.

libpe-status28: No summary available for libpe-status28 in ubuntu eoan.

No description available for libpe-status28 in ubuntu eoan.

libpe-status28-dbgsym: No summary available for libpe-status28-dbgsym in ubuntu eoan.

No description available for libpe-status28-dbgsym in ubuntu eoan.

libpengine-dev: No summary available for libpengine-dev in ubuntu eoan.

No description available for libpengine-dev in ubuntu eoan.

libpengine27: No summary available for libpengine27 in ubuntu eoan.

No description available for libpengine27 in ubuntu eoan.

libpengine27-dbgsym: No summary available for libpengine27-dbgsym in ubuntu eoan.

No description available for libpengine27-dbgsym in ubuntu eoan.

libstonithd-dev: No summary available for libstonithd-dev in ubuntu eoan.

No description available for libstonithd-dev in ubuntu eoan.

libstonithd26: No summary available for libstonithd26 in ubuntu eoan.

No description available for libstonithd26 in ubuntu eoan.

libstonithd26-dbgsym: No summary available for libstonithd26-dbgsym in ubuntu eoan.

No description available for libstonithd26-dbgsym in ubuntu eoan.

libtransitioner25: No summary available for libtransitioner25 in ubuntu eoan.

No description available for libtransitioner25 in ubuntu eoan.

libtransitioner25-dbgsym: No summary available for libtransitioner25-dbgsym in ubuntu eoan.

No description available for libtransitioner25-dbgsym in ubuntu eoan.

pacemaker: No summary available for pacemaker in ubuntu eoan.

No description available for pacemaker in ubuntu eoan.

pacemaker-cli-utils: No summary available for pacemaker-cli-utils in ubuntu eoan.

No description available for pacemaker-cli-utils in ubuntu eoan.

pacemaker-cli-utils-dbgsym: No summary available for pacemaker-cli-utils-dbgsym in ubuntu eoan.

No description available for pacemaker-cli-utils-dbgsym in ubuntu eoan.

pacemaker-common: No summary available for pacemaker-common in ubuntu eoan.

No description available for pacemaker-common in ubuntu eoan.

pacemaker-dbgsym: No summary available for pacemaker-dbgsym in ubuntu eoan.

No description available for pacemaker-dbgsym in ubuntu eoan.

pacemaker-dev: No summary available for pacemaker-dev in ubuntu eoan.

No description available for pacemaker-dev in ubuntu eoan.

pacemaker-doc: No summary available for pacemaker-doc in ubuntu eoan.

No description available for pacemaker-doc in ubuntu eoan.

pacemaker-remote: No summary available for pacemaker-remote in ubuntu eoan.

No description available for pacemaker-remote in ubuntu eoan.

pacemaker-remote-dbgsym: No summary available for pacemaker-remote-dbgsym in ubuntu eoan.

No description available for pacemaker-remote-dbgsym in ubuntu eoan.

pacemaker-resource-agents: No summary available for pacemaker-resource-agents in ubuntu eoan.

No description available for pacemaker-resource-agents in ubuntu eoan.